Commit b44c288e authored by Tristan Cavelier's avatar Tristan Cavelier Committed by Rafael Monnerat

Update revisions for RC

/reviewed-on nexedi/slapos!126
parents feee614d 0fccd2b1
......@@ -12,8 +12,8 @@ parts =
[curl]
recipe = slapos.recipe.cmmi
url = http://curl.haxx.se/download/curl-7.51.0.tar.bz2
md5sum = 09a7c5769a7eae676d5e2c86d51f167e
url = http://curl.haxx.se/download/curl-7.52.1.tar.bz2
md5sum = dd014df06ff1d12e173de86873f9f77a
configure-options =
--disable-static
--disable-ldap
......
......@@ -11,13 +11,13 @@ parts = gnutls
[gpg-error]
recipe = slapos.recipe.cmmi
url = ftp://ftp.gnupg.org/gcrypt/libgpg-error/libgpg-error-1.19.tar.bz2
md5sum = c04c16245b92829281f43b5bef7d16da
url = ftp://ftp.gnupg.org/gcrypt/libgpg-error/libgpg-error-1.26.tar.bz2
md5sum = 97456709dbbcbb69354317ffe3e347cd
[gcrypt]
recipe = slapos.recipe.cmmi
url = ftp://ftp.gnupg.org/gcrypt/libgcrypt/libgcrypt-1.6.3.tar.bz2
md5sum = 4262c3aadf837500756c2051a5c4ae5e
url = ftp://ftp.gnupg.org/gcrypt/libgcrypt/libgcrypt-1.6.6.tar.bz2
md5sum = 944cf6595021d0c33478148a315b335b
configure-options =
--with-gpg-error-prefix=${gpg-error:location}
environment =
......@@ -26,8 +26,8 @@ environment =
[gnutls]
recipe = slapos.recipe.cmmi
url = ftp://ftp.gnutls.org/gcrypt/gnutls/v3.3/gnutls-3.3.17.1.tar.xz
md5sum = 8d01c7e7f2cbc5871fdca832d2260b6b
url = ftp://ftp.gnutls.org/gcrypt/gnutls/v3.3/gnutls-3.3.26.tar.xz
md5sum = 9840c06019bfa7db07ed8fd5e63106d5
configure-options =
--disable-static
--disable-libdane
......
......@@ -9,14 +9,14 @@ parts =
[libreoffice-bin]
recipe = slapos.recipe.build
# here, two %s are used, first one is for directory name (eg. x86_64), and second one is for filename (eg. x86-64).
version = 5.1.0.3
version = 5.2.4.2
url = http://downloadarchive.documentfoundation.org/libreoffice/old/${:version}/rpm/%s/LibreOffice_${:version}_Linux_%s_rpm.tar.gz
# supported architectures md5sums
md5sum_x86 = 32440c65e746c4816391fa9bb086d526
md5sum_x86-64 = d649918b6e59fd84b16d8572a27ca19a
md5sum_x86 = 7a0b33a2d18f06143258c428c32de213
md5sum_x86-64 = cbea6cd17063b5bcbe0cb32f7819f0cf
# where office code can be found?
officedir = libreoffice5.1
officedir = libreoffice5.2
# script to install
script =
......
......@@ -28,7 +28,7 @@ from setuptools import setup, find_packages
import glob
import os
version = '1.0.45'
version = '1.0.46.dev0'
name = 'slapos.cookbook'
long_description = open("README.rst").read() + "\n" + \
open("CHANGES.rst").read() + "\n"
......
......@@ -29,7 +29,7 @@ mimetype-entry-addition =
[cloudooo-repository]
branch = master
revision = c0752dba22f41546067227e47349899fa79eb2fb
revision = c4c753f2d9be7cda7084ed5fceda1fe6e01a73d8
[slapos-cookbook.repository]
revision = cf57b1f4070d2387c7c177e92f5a95283e8e68d8
revision = 8a03f3c8ac64e48189b92170f293288b7462a862
......@@ -6,11 +6,11 @@ extends =
revision = faa6705c358b43fcb0537e5605ca8c119dc71577
[slapos-cookbook.repository]
revision = cf57b1f4070d2387c7c177e92f5a95283e8e68d8
revision = 8a03f3c8ac64e48189b92170f293288b7462a862
[neoppod-repository]
revision = 13911ca3d871a427fdf098c00558023ab76683a8
[cloudooo-repository]
branch = master
revision = c0752dba22f41546067227e47349899fa79eb2fb
revision = c4c753f2d9be7cda7084ed5fceda1fe6e01a73d8
......@@ -632,11 +632,11 @@ log = ${sidekiq-dir:log}
recipe = slapos.cookbook:wrapper
wrapper-path = ${directory:service}/sidekiq
command-line =
# NOTE Sidekiq memory killer just makes sidekiq processes to be SIGKILL
# terminated and relies on managing service to restart it. In slapos we don't
# have mechanism to set autorestart=true, nor bang/watchdog currently work with
# slapproxy, so we do the monitoring ourselves.
{{ watcher_sigkill }}
# NOTE Sidekiq memory killer makes sidekiq processes to exit, or if exit request
# not handled in time, to be SIGKILL terminated, and relies on managing service
# to restart it. In slapos we don't have mechanism to set autorestart=true, nor
# bang/watchdog currently work with slapproxy, so we do the monitoring ourselves.
{{ watcher }} 0,SIGKILL
${gitlab-sidekiq:wrapper-path}
# XXX -q runner ? (present in gitlab-ce/Procfile but not in omnibus)
......
......@@ -55,7 +55,7 @@ context =
raw redis_binprefix ${redis28:location}/bin
raw ruby_location ${bundler-4gitlab:ruby-location}
raw tar_location ${tar:location}
raw watcher_sigkill ${watcher-sigkill:rendered}
raw watcher ${watcher:rendered}
raw xnice_repository_location ${xnice-repository:location}
# config files
......
......@@ -53,7 +53,7 @@ parts =
bash
curl
watcher-sigkill
watcher
gitlab-export
gzip
dcron-output
......@@ -256,7 +256,7 @@ eggs =
recipe = slapos.recipe.template
url = ${:_profile_base_location_}/instance.cfg.in
output = ${buildout:directory}/instance.cfg
md5sum = b99a99b161c0b292845002fc3fee50cd
md5sum = 2329ddc4934e900785aa669adc214c23
# macro: download a shell script and put it rendered into <software>/bin/
[binsh]
......@@ -267,9 +267,9 @@ mode = 0755
context =
section bash bash
[watcher-sigkill]
[watcher]
<= binsh
md5sum = 2986dcb006dc9e8508ff81f646656131
md5sum = 90690e1351637f20ff2df57a6c3e85b4
[gitlab-export]
<= binsh
......@@ -319,7 +319,7 @@ md5sum = 176939a6428a7aca4767a36421b0af2b
[instance-gitlab.cfg.in]
<= download-file
md5sum = 89914e4a225f6cdebfa196d46359f6f2
md5sum = b05fad928ffbb689b4415837525c62d1
[instance-gitlab-export.cfg.in]
<= download-file
......
#!{{ bash.location }}/bin/bash
# run program under SIGKILL watchdog
# watcher-sigkill <prog> [<progargs> ...]
# run program under watchdog
# watcher <restart-codes> <prog> [<progargs> ...]
#
# if the program terminates with SIGKILL - it is restarted after grace period.
# <restart-codes> = code1,code2,...
#
# if the program terminates with status in <restart-codes> - it is restarted after grace period.
# if the program terminates otherwise - whole process terminates.
#
# code can be numeric or symbolic - refering to a signal name. example:
#
# watcher 0,SIGKILL <prog> ...
if [ "$#" -lt 1 ]; then
echo "Usage: watcher-sigkill <prog> [<progargs> ...]" 1>&2
die() {
echo "$@" 1>&2
exit 1
}
if [ "$#" -lt 2 ]; then
die "Usage: watcher <restart-codes> <prog> [<progargs> ...]"
fi
restart_codes="$1"; shift
prog="$@"
# signumber <signame> -> #sig
signumber() {
signame=$1
# "11) SIGSEGV "
sigentry=`kill -l |grep -o "[0-9]\+) $signame\(\s\|$\)"` ||
die "E: $signame is not a signal"
echo "$sigentry" | grep -o "[0-9]\+"
}
# restart codes as set
declare -A restarts
for code in `echo "$restart_codes" |sed 's/,/ /g'`; do
case $code in
*[!0-9]*)
# non-number - treat it as signal name
signo=`signumber $code` || exit 1
code=$((128 + $signo)) # exit code of process terminated by signal #signo
;;
*)
# already number
;;
esac
restarts[$code]=y
done
progpid=""
killexit="137" # = 128 + 9 (exit code of process terminated by SIGKILL)
# make sure to terminate children, when we exit.
# needed for e.g. when `slapos node stop ...` kills us.
......@@ -32,8 +68,8 @@ while true; do
status=$?
echo "-> $status"
# if program terminated not by SIGKILL - exit
if [ "$status" != "$killexit" ] ; then
# if program terminated not with expected status - exit
if [ "${restarts[$status]}" != y ] ; then
echo "exit $status"
exit "$status"
fi
......
......@@ -116,16 +116,16 @@ zodbtools = 0.0.0.dev3
# Required by slapos.toolbox = 0.63
slapos.toolbox = 0.63
PyRSS2Gen = 1.1
apache-libcloud = 1.2.1
apache-libcloud = 1.5.0
atomize = 0.2.0
dnspython = 1.14.0
ecdsa = 0.13
feedparser = 5.2.1
GitPython = 2.1.0
GitPython = 2.1.1
gitdb2 = 2.0.0
lockfile = 0.12.2
mysqlclient = 1.3.9
paramiko = 2.0.2
paramiko = 2.1.1
passlib = 1.6.5
pycrypto = 2.6.1
pycurl = 7.43.0
......
......@@ -603,7 +603,7 @@ setup = ${erp5:location}
[cloudooo-repository]
branch =
revision = 9d3317fc1efaee317af95443121ae30a0596b35c
revision = c4c753f2d9be7cda7084ed5fceda1fe6e01a73d8
[slapos-deps-eggs]
recipe = zc.recipe.egg
......@@ -622,7 +622,7 @@ scripts +=
Acquisition = 2.13.9+SlapOSPatched001
Products.DCWorkflow = 2.2.4+SlapOSPatched001
pysvn = 1.7.10+SlapOSPatched002
python-ldap = 2.4.27+SlapOSPatched001
python-ldap = 2.4.28+SlapOSPatched001
python-magic = 0.4.12+SlapOSPatched001
# specify dev version to be sure that an old released version is not used
......@@ -632,7 +632,7 @@ cloudooo = 1.2.5-dev
PasteDeploy = 1.5.2
Pygments = 2.1.3
argparse = 1.4.0
coverage = 4.2
coverage = 4.3.1
zope.dottedname = 4.1.0
# test_UserManagerInterfaces in testERP5Security fails with 1.10.0.
......@@ -664,12 +664,12 @@ zope.app.publication = 3.14.0
zope.app.testing = 3.8.1
# Pinned versions
Pillow = 3.4.2
Pillow = 4.0.0
Products.CMFActionIcons = 2.1.3
Products.DCWorkflowGraph = 0.4.1
# Products.ExternalEditor 2.0.0's dtml is not based on Zope2 OFS's one.
Products.ExternalEditor = 1.1.1
Products.GenericSetup = 1.8.5
Products.GenericSetup = 1.8.6
Products.LongRequestLogger = 2.0.0
# Products.MimetypesRegistry 2.1 requires AccessControl>=3.0.0Acquisition.
Products.MimetypesRegistry = 2.0.10
......@@ -682,51 +682,54 @@ PyXML = 0.8.5
Pympler = 0.4.3
StructuredText = 2.11.1
WSGIUtils = 0.7
ZEO = 4.2.1
# ZEO 5 requires transaction >= 2
ZEO = 4.3.1
ZODB3 = 3.11.0
Zope2 = 2.13.24
astor = 0.5
# astroid 1.4.1 breaks testDynamicClassGeneration
astroid = 1.3.8
backports-abc = 0.4
backports-abc = 0.5
backports.shutil-get-terminal-size = 1.0.0
chardet = 2.3.0
csp-eventlet = 0.7.0
erp5diff = 0.8.1.7
eventlet = 0.19.0
eventlet = 0.20.1
five.formlib = 1.0.4
five.localsitemanager = 2.0.5
greenlet = 0.4.10
greenlet = 0.4.11
http-parser = 0.8.3
httplib2 = 0.9.2
huBarcode = 1.0.0
interval = 1.0.0
ipdb = 0.10.1
ipykernel = 4.5.0
ipykernel = 4.5.2
ipython = 5.1.0
ipython-genutils = 0.1.0
ipywidgets = 5.2.2
logilab-common = 1.2.2
logilab-common = 1.3.0
matplotlib = 1.5.3
mistune = 0.7.3
notebook = 4.2.3
numpy = 1.11.2
objgraph = 3.0.1
pandas = 0.19.1
notebook = 4.3.1
numpy = 1.11.3
objgraph = 3.1.0
pandas = 0.19.2
ply = 3.9
polib = 1.0.7
polib = 1.0.8
pprofile = 1.10.0
prompt-toolkit = 1.0.8
prompt-toolkit = 1.0.9
ptyprocess = 0.5.1
pycountry = 1.20
pycountry = 17.1.8
pyflakes = 1.3.0
# pylint 1.5.1 breaks testDynamicClassGeneration
pylint = 1.4.4
python-memcached = 1.58
pytracemalloc = 1.2
pyzmq = 16.0.0
pyzmq = 16.0.2
qrcode = 5.3
restkit = 4.2.2
rtjp-eventlet = 0.3.2
scikit-learn = 0.18
scikit-learn = 0.18.1
scipy = 0.18.1
simplegeneric = 0.8.1
socketpool = 0.5.3
......@@ -746,11 +749,7 @@ xupdate-processor = 0.4
# Required by:
# Products.CMFCore==2.2.10
Products.ZSQLMethods = 2.13.4
# Required by:
# ipython==5.1.0
backports.shutil-get-terminal-size = 1.0.0
Products.ZSQLMethods = 2.13.5
# Required by:
# tornado==4.4.2
......@@ -774,20 +773,22 @@ decorator = 4.0.10
fpconst = 0.7.2
# Required by:
# nbformat==4.1.0
# notebook==4.2.3
# traitlets==4.3.1
ipython-genutils = 0.1.0
# objgraph==3.1.0
graphviz = 0.5.2
# Required by:
# notebook==4.2.3
# notebook==4.3.1
# nbconvert 4.2.0 depends on entrypoints egg that is not available as tar/zip source.
nbconvert = 4.1.0
# Required by:
# nbconvert==4.1.0
# notebook==4.2.3
nbformat = 4.1.0
# notebook==4.3.1
nbformat = 4.2.0
# Required by:
# Pillow==4.0.0
olefile = 0.44
# Required by:
# ipython==5.1.0
......@@ -803,15 +804,15 @@ pickleshare = 0.7.4
# Required by:
# matplotlib==1.5.3
# pandas==0.19.1
python-dateutil = 2.5.3
# pandas==0.19.2
python-dateutil = 2.6.0
# Required by:
# tornado==4.4.2
singledispatch = 3.4.0.3
# Required by:
# prompt-toolkit==1.0.8
# prompt-toolkit==1.0.9
wcwidth = 0.1.7
# Required by:
......
......@@ -105,32 +105,34 @@ zc.recipe.egg = 1.3.2.post5
# Use own version of h.r.download to be able to open .xz and .lz archives
hexagonit.recipe.download = 1.7.post4
Jinja2 = 2.8
Jinja2 = 2.9.3
PyYAML = 3.12
Werkzeug = 0.11.11
MarkupSafe = 0.23
Werkzeug = 0.11.15
buildout-versions = 1.7
cffi = 1.8.3
click = 6.6
cliff = 2.2.0
cffi = 1.9.1
click = 6.7
cliff = 2.3.0
cmd2 = 0.6.9
collective.recipe.template = 1.13
cryptography = 1.5.2
cryptography = 1.7.1
decorator = 4.0.10
idna = 2.1
idna = 2.2
inotifyx = 0.2.2
itsdangerous = 0.24
lxml = 3.6.4
lock-file = 2.0
lxml = 3.7.2
meld3 = 1.0.2
netaddr = 0.7.18
pbr = 1.10.0
plone.recipe.command = 1.1
prettytable = 0.7.2
psutil = 4.4.2
psutil = 5.0.1
pyOpenSSL = 16.2.0
pyasn1 = 0.1.9
pyparsing = 2.1.10
pytz = 2016.7
requests = 2.11.1
pytz = 2016.10
requests = 2.12.4
setuptools = 19.6.2
six = 1.10.0
slapos.cookbook = 1.0.45
......@@ -139,20 +141,16 @@ slapos.extension.strip = 0.1
slapos.libnetworkcache = 0.14.5
slapos.recipe.build = 0.28
slapos.recipe.cmmi = 0.2
stevedore = 1.18.0
stevedore = 1.19.1
unicodecsv = 0.14.1
xml-marshaller = 0.9.7
# Required by:
# slapos.core==1.3.18
Flask = 0.11.1
# Required by:
# Jinja2==2.8
MarkupSafe = 0.23
Flask = 0.12
# Required by:
# cryptography==1.5.2
# cryptography==1.7.1
enum34 = 1.1.6
# Required by:
......@@ -160,24 +158,20 @@ enum34 = 1.1.6
functools32 = 3.2.3.post2
# Required by:
# cryptography==1.5.2
# cryptography==1.7.1
ipaddress = 1.0.17
# Required by:
# slapos.cookbook==1.0.45
jsonschema = 2.5.1
# Required by:
# slapos.cookbook==1.0.45
lock-file = 2.0
# Required by:
# slapos.core==1.3.18
# XXX 'slapos node format' raises an exception with netifaces 0.10.5.
netifaces = 0.10.4
# Required by:
# cffi==1.8.3
# cffi==1.9.1
pycparser = 2.17
# Required by:
......@@ -190,7 +184,7 @@ uritemplate = 3.0.0
# Required by:
# slapos.core==1.3.18
zope.interface = 4.3.2
zope.interface = 4.3.3
[networkcache]
download-cache-url = http://www.shacache.org/shacache
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment